# boost::numeric::ublas::matrix_vector_prod2< M1, M2, TV > Struct Template Reference

Inherits boost::numeric::ublas::matrix_vector_binary_functor< M1, M2, TV >.

List of all members.

## Public Types

typedef matrix_vector_binary_functor < M1, M2, TV >::size_type | size_type
typedef matrix_vector_binary_functor < M1, M2, TV > ::difference_type | difference_type
typedef matrix_vector_binary_functor < M1, M2, TV >::value_type | value_type
typedef matrix_vector_binary_functor < M1, M2, TV >::result_type | result_type

## Static Public Member Functions

template<class C1 , class C2 >
static BOOST_UBLAS_INLINE result_type | apply (const vector_container< C1 > &c1, const matrix_container< C2 > &c2, size_type i)
template<class E1 , class E2 >
static BOOST_UBLAS_INLINE result_type | apply (const vector_expression< E1 > &e1, const matrix_expression< E2 > &e2, size_type i)
template<class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (difference_type size, I1 it1, I2 it2)
template<class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (I1 it1, const I1 &it1_end, I2 it2, const I2 &it2_end)
template<class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (I1 it1, const I1 &it1_end, I2 it2, const I2 &it2_end, sparse_bidirectional_iterator_tag, sparse_bidirectional_iterator_tag)
template<class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (I1 it1, const I1 &, I2 it2, const I2 &it2_end, packed_random_access_iterator_tag, sparse_bidirectional_iterator_tag)
template<class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (I1 it1, const I1 &it1_end, I2 it2, const I2 &, sparse_bidirectional_iterator_tag, packed_random_access_iterator_tag)
template<class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (I1 it1, const I1 &it1_end, I2 it2, const I2 &it2_end, sparse_bidirectional_iterator_tag)

### template<class M1, class M2, class TV>
struct boost::numeric::ublas::matrix_vector_prod2< M1, M2, TV >